Bug 593288 - libssh-0.4.3 with bugfixed for KDE
Summary: libssh-0.4.3 with bugfixed for KDE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libssh
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan F. Chadima
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 12:49 UTC by Andreas Schneider
Modified: 2010-05-24 19:44 UTC (History)
3 users (show)

Fixed In Version: libssh-0.4.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-24 19:31:54 UTC


Attachments (Terms of Use)

Description Andreas Schneider 2010-05-18 12:49:15 UTC
libssh 0.4.3 has been released with bugfixes and new features for KDE 4.4 could you please update it for F12, F13 and devel?

News: http://www.libssh.org/2010/05/18/libssh-0-4-3/
Download: http://www.libssh.org/files/

Comment 1 Rex Dieter 2010-05-18 13:57:00 UTC
Hopefully this update won't break anything like 0.4.2 did.

Comment 2 Fedora Update System 2010-05-19 05:26:25 UTC
libssh-0.4.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libssh-0.4.3-1.fc13

Comment 3 Fedora Update System 2010-05-19 05:36:12 UTC
libssh-0.4.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libssh-0.4.3-1.fc12

Comment 4 Jan F. Chadima 2010-05-19 05:37:12 UTC
Updates ready in testing

Comment 5 Andreas Schneider 2010-05-19 07:49:23 UTC
The problem with 0.4.2 was that all functions were exported not only the public API. This should be fixed now.

I will try to test it later on F13.

Comment 6 Fedora Update System 2010-05-19 19:07:21 UTC
libssh-0.4.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libssh'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libssh-0.4.3-1.fc12

Comment 7 Fedora Update System 2010-05-19 19:16:17 UTC
libssh-0.4.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libssh'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libssh-0.4.3-1.fc13

Comment 8 Andreas Schneider 2010-05-19 20:38:08 UTC
I've reinstalled my notebook recently so it is a clean F13 install. I've updated the libssh rpm and everything is working just fine here.

Comment 9 Jan F. Chadima 2010-05-20 07:00:22 UTC
May I push it to stable?

Comment 10 Kevin Kofler 2010-05-21 06:14:09 UTC
Can you please push it to F11 too? F11 is still supported and also has libssh 0.4.2 and the kio_sftp using it, so it has all the same issues.

Comment 11 Kevin Kofler 2010-05-21 06:17:07 UTC
And IMHO, yes, you can push the stuff to stable now, it seems no rebuilds are needed this time. Harald Reindl also reportedly tested it, see https://bugs.kde.org/show_bug.cgi?id=236025 . (As for F11, I suggest just queuing it directly to stable there given the testing already done.)

Comment 12 Andreas Schneider 2010-05-21 07:38:31 UTC
People are reporting 2 issues at the moment.

a) That the servers hostkey is not written to known_hosts file and the user is asked again and again.
b) That strange directories are created under ~/.ssh/

We are investigating these issues and try to release a fixed version as soon as possible.

Comment 13 Fedora Update System 2010-05-24 06:12:30 UTC
libssh-0.4.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libssh-0.4.3-1.fc11

Comment 14 Fedora Update System 2010-05-24 19:31:50 UTC
libssh-0.4.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-05-24 19:43:18 UTC
libssh-0.4.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-05-24 19:44:52 UTC
libssh-0.4.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.